[arch-commits] Commit in qt/trunk (PKGBUILD)

Pierre Schmitz pierre at archlinux.org
Thu May 29 09:08:35 EDT 2008


    Date: Thursday, May 29, 2008 @ 09:08:34
  Author: pierre
Revision: 2213

upgpkg: qt 4.4.0-2
    cleanup; disabled phonon (will be provided by kdelibs-4)

Modified:
  qt/trunk/PKGBUILD

----------+
 PKGBUILD |  112 +++++++++++++++++++++++++------------------------------------
 1 file changed, 47 insertions(+), 65 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-05-29 13:08:04 UTC (rev 2212)
+++ PKGBUILD	2008-05-29 13:08:34 UTC (rev 2213)
@@ -1,82 +1,64 @@
 # $Id$
-# Contributer: Vinay S Shastry (vinayshastry at gmail.com)
+
 pkgname=qt
 pkgver=4.4.0
-pkgrel=1
+pkgrel=2
 pkgdesc="The QT gui toolkit."
 arch=('i686' 'x86_64')
 url="http://www.trolltech.com/products/qt"
-license=('GPL2')
-options=('!libtool' 'docs')
-depends=('libpng' 'libjpeg' 'libxi' 'libxcursor' 'libxinerama' 'mesa' \
-         'fontconfig' 'libxrandr' 'dbus' 'glib2')
-makedepends=('mysql' 'unixodbc' 'libmng' 'libtiff')
+license=('GPL3')
+options=('!libtool')
+depends=('libpng' 'libxi' 'mesa' 'fontconfig' 'libxrandr' 'glib2' 'libtiff' 'libmng')
+optdepends=('libmysqlclient' 'unixodbc' 'sqlite3')
+makedepends=('mysql' 'unixodbc' 'sqlite3')
 provides=("qt4=${pkgver}")
 replaces=('qt4')
 conflicts=('qt4')
 _pkgfqn=qt-x11-opensource-src-$pkgver
-source=("ftp://ftp.trolltech.com/qt/source/${_pkgfqn}.tar.gz" \
-        'qt4-assistant.desktop' 'qt4-designer.desktop' 'qt4-linguist.desktop')
-md5sums=('f13ad0aa75efad314715930e663bad55'
-         '67adab60dd87270e733d25552a826950'
-         '40a36635b14c32bd2923e408c2e877bf'
-         'cd6e1c951e079e2eace67bce5e63966c')
+source=("ftp://ftp.trolltech.com/qt/source/${_pkgfqn}.tar.gz")
+md5sums=('f13ad0aa75efad314715930e663bad55')
 
 build() {
-  unset QMAKESPEC
-  export QT4DIR=$startdir/src/$_pkgfqn
-  export PATH=${QT4DIR}/bin:${PATH}
-  export LD_LIBRARY_PATH=${QT4DIR}/lib:${LD_LIBRARY_PATH}
-  cd $startdir/src/$_pkgfqn
+	unset QMAKESPEC
+	export QT4DIR=$startdir/src/$_pkgfqn
+	export PATH=${QT4DIR}/bin:${PATH}
+	export LD_LIBRARY_PATH=${QT4DIR}/lib:${LD_LIBRARY_PATH}
+	cd $startdir/src/$_pkgfqn
 
-  # remove docs
-  rm -rf doc
+	# remove unwanted mkspecs
+	cd mkspecs/
+	find . -maxdepth 1 -regextype posix-egrep -type d ! -regex "./linux.*|./common|./features|./qws" -exec rm -rf "{}" \;
+	cd qws
+	find . -maxdepth 1 -regextype posix-egrep -type d ! -regex "./linux.*" -exec rm -rf "{}" \;
+	cd ../../
 
-  # remove unwanted mkspecs
-  rm -rf mkspecs/{*aix*,*bsd*,darwin*,hpux*,hurd*,irix*,lynxos*,macx*,sco*,solaris*,tru64*,unixware*,win32*}
-  rm -rf mkspecs/qws/{*bsd*,linux-{arm,cellon,ipaq,mips,sharp,zylonite}*,mac*,solaris*}
+	sed -i 's|-cp -P -f|-cp -L -f|' qmake/Makefile.unix
+	sed -i "s|-O2|$CXXFLAGS|" mkspecs/common/g++.conf
+	# do not compile demos, examples and docs
+	sed -i 's|CFG_NOBUILD_PARTS=""|CFG_NOBUILD_PARTS="demos examples docs"|' configure
 
-  # start compiling qt
-  sed -i 's|-cp -P -f|-cp -L -f|' qmake/Makefile.unix
-  sed -i "s|-O2|$CXXFLAGS|" mkspecs/common/g++.conf
-  # do not compile demos and examples
-  sed -i 's|CFG_NOBUILD_PARTS=""|CFG_NOBUILD_PARTS="demos examples"|' configure
+	./configure -confirm-license \
+		-prefix /usr \
+		-docdir /usr/share/doc/qt \
+		-plugindir /usr/lib/qt/plugins \
+		-datadir /usr/share/qt \
+		-translationdir /usr/share/qt/translations \
+		-sysconfdir /etc \
+		-examplesdir /usr/share/doc/qt/examples \
+		-demosdir /usr/share/doc/qt/demos \
+		-no-exceptions \
+		-plugin-sql-{mysql,sqlite,odbc} \
+		-system-sqlite \
+		-no-phonon \
+		-no-separate-debug-info \
+		-optimized-qmake || return 1
 
-  ./configure -confirm-license \
-    -prefix /usr \
-    -docdir /usr/share/doc/qt \
-    -plugindir /usr/lib/qt/plugins \
-    -datadir /usr/share/qt \
-    -translationdir /usr/share/qt/translations \
-    -sysconfdir /etc/qt \
-    -examplesdir /usr/share/doc/qt/examples \
-    -demosdir /usr/share/doc/qt/demos \
-    -no-exceptions \
-    -release \
-    -platform linux-g++ \
-    -system-zlib \
-    -system-libpng \
-    -system-libjpeg \
-    -qt-gif \
-    -shared -sm -nis -stl \
-    -plugin-sql-{mysql,sqlite,odbc} \
-    -no-separate-debug-info \
-    -glib -qdbus \
-    -optimized-qmake \
-    -fast || return 1
+	make || return 1
+	make INSTALL_ROOT=$startdir/pkg install || return 1
 
-  make || return 1
-  make INSTALL_ROOT=$startdir/pkg install || return 1
-
-  # install images and .desktop files
-  mkdir $startdir/pkg/usr/share/{pixmaps,applications}
-  cp tools/assistant/images/{linguist,designer,assistant}.png $startdir/pkg/usr/share/pixmaps
-  cp $startdir/src/qt4-{linguist,designer,assistant}.desktop $startdir/pkg/usr/share/applications
-
-  # lots of cleanup and path fixes - thanks to crazy (frugalware)
-  find $startdir/pkg/usr/lib -type f -name '*prl' -print -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
-  sed -i -e "s|-L$startdir/src/${_pkgfqn}/lib||g" $startdir/pkg/usr/lib/pkgconfig/*.pc
-  #sed -i -e "s|-L$startdir/src/${_pkgfqn}/lib||g" $startdir/pkg/usr/lib/*.prl $startdir/pkg/usr/share/doc/qt/demos/shared/libdemo_shared.prl
-  sed -i -e "s|$startdir/src/${_pkgfqn}/bin/moc|/usr/bin/moc|g" $startdir/pkg/usr/lib/pkgconfig/*.pc
-  sed -i -e "s|$startdir/src/${_pkgfqn}/bin/uic|/usr/bin/uic|g" $startdir/pkg/usr/lib/pkgconfig/*.pc
-}
+	# lots of cleanup and path fixes - thanks to crazy (frugalware)
+	find $startdir/pkg/usr/lib -type f -name '*prl' -print -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
+	sed -i -e "s|-L$startdir/src/${_pkgfqn}/lib||g" $startdir/pkg/usr/lib/pkgconfig/*.pc
+	sed -i -e "s|$startdir/src/${_pkgfqn}/bin/moc|/usr/bin/moc|g" $startdir/pkg/usr/lib/pkgconfig/*.pc
+	sed -i -e "s|$startdir/src/${_pkgfqn}/bin/uic|/usr/bin/uic|g" $startdir/pkg/usr/lib/pkgconfig/*.pc
+}
\ No newline at end of file





More information about the arch-commits mailing list